class DuplicateFilter(object):
    @staticmethod
    def verify(value, rc, key='duplicate_default', dont_filter=False):
        if dont_filter:
            return False
        if '.aspx' in str(value) and '(' in str(value):
            value = str(value).split('(')[0] + str(value).split(')')[len(str(value).split(')')) - 1]
        if rc.sismember(key, value):
            return True
        else:
            return False

    @staticmethod
    def confirm(value, rc, key='duplicate_default'):
        rc.sadd(key, value)
        rc.origin().expire(key, 3600 * 24 * 7)
